:) paperlesspaper docs
API ReferenceUsersUserid

Partially update a user by ID

Applies partial updates to a user’s record by ID.

Middlewares: authMiddleware, validateParamsUser

PATCH
/users/{userId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

userIdstring

A valid MongoDB ObjectId

name?string

User full name

timezone?string

IANA timezone

avatar?string

Avatar URL

category?string

LEGACY: User category

meta?

Additional metadata

apps?

Application-specific user fields

email?string|null

User email address

Formatemail
role?string

User role

Value in"user" | "admin" | "patient" | "onlyself"
inviteCode?string|null

Invite code

organization?string

Organization ObjectId

Response Body

application/json

curl -X PATCH "https://api.paperlesspaper.de/v1/users/682fd0d7d4a6325d9d45b86d" \  -H "Content-Type: application/json" \  -d '{    "name": "Jane Doe",    "timezone": "Europe/Berlin",    "email": "[email protected]",    "role": "patient",    "meta": {      "carePlan": "standard"    }  }'
{
  "id": "682fd0d7d4a6325d9d45b86d",
  "name": "Jane Doe",
  "email": "[email protected]"
}